Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# PTA_LMatrix4d Class Reference

Inheritance diagram for PTA_LMatrix4d:

List of all members.

## Public Member Functions
string | getData ()
UnalignedLMatrix4d const | getElement (unsigned int n)
UnalignedLMatrix4d const | getitem (unsigned int n)
int | getNodeRefCount ()
int | getRefCount ()
string | getSubdata (unsigned int n, unsigned int count)
| PointerToArray ()
| PointerToArray (PointerToArrayUnalignedLMatrix4d const copy)
| PointerToArray (TypeHandle type_handle)
| PointerToArray (PyObject self, PyObject sequence)
| popBack ()
| pushBack (UnalignedLMatrix4d const x)
| setData (string data)
| setElement (unsigned int n, UnalignedLMatrix4d const value)
| setitem (unsigned int n, UnalignedLMatrix4d const value)
| setSubdata (unsigned int n, unsigned int count, string data)
unsigned int | size ()
## Static Public Member Functions
static PointerToArrayUnalignedLMatrix4d | emptyArray (unsigned int n, TypeHandle type_handle)
static PointerToArrayUnalignedLMatrix4d | emptyArray (unsigned int n)

## Member Function Documentation

static PointerToArrayUnalignedLMatrix4d emptyArray | ( | unsigned int | n,
|  | TypeHandle | type_handle
| ) |  | `[static]`

static PointerToArrayUnalignedLMatrix4d emptyArray | ( | unsigned int | n | ) | `[static]`

string getData | ( |  | ) |

UnalignedLMatrix4d const getElement | ( | unsigned int | n | ) |

UnalignedLMatrix4d const getitem | ( | unsigned int | n | ) |

int getNodeRefCount | ( |  | ) |

int getRefCount | ( |  | ) |

string getSubdata | ( | unsigned int | n,
|  | unsigned int | count
| ) |  |

PointerToArray | ( |  | ) |

PointerToArray | ( | PointerToArrayUnalignedLMatrix4d const | copy | ) |

PointerToArray | ( | PyObject | self,
|  | PyObject | sequence
| ) |  |

PointerToArray | ( | TypeHandle | type_handle | ) |

popBack | ( |  | ) |

pushBack | ( | UnalignedLMatrix4d const | x | ) |

setData | ( | string | data | ) |

setElement | ( | unsigned int | n,
|  | UnalignedLMatrix4d const | value
| ) |  |

setitem | ( | unsigned int | n,
|  | UnalignedLMatrix4d const | value
| ) |  |

setSubdata | ( | unsigned int | n,
|  | unsigned int | count,
|  | string | data
| ) |  |

unsigned int size | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties